# Markets

On dYdX Chain, each [market pair](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L3294-L3575) has a set of parameters that can be adjusted by governance, the parameters are as follows:

| Title                                                                                                                         | Definition                                                                                                                                                                                                                                                                                                                                                    |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`id`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L12)                   | sequentially-generated value                                                                                                                                                                                                                                                                                                                                  |
| [`pair`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L15)                 | human-readable name of the market pair                                                                                                                                                                                                                                                                                                                        |
| [`exponent`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L21)             | <p>exponent of the price.</p><p>e.g. if <code>Exponent == -5</code> then a <code>Value</code> of <code>1,000,000,000</code> represents <code>$10,000</code>. Therefore <code>10 ^ Exponent</code> represents the smallest price step (in dollars) that can be recorded.</p>                                                                                   |
| [`min_exchanges`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L25)        | the minimum number of exchanges that should be reporting a live price for a price update to be considered valid.                                                                                                                                                                                                                                              |
| [`min_price_change_ppm`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L29) | the minimum allowable change in `price` value that would cause a price update on the network. Measured as `1e-6` (parts per million).                                                                                                                                                                                                                         |
| [`exchange_config_json`](https://github.com/dydxprotocol/v4-chain/blob/main/proto/dydxprotocol/prices/market_param.proto#L33) | <p>A string of json that encodes the configuration for resolving the price of this market on various exchanges, otherwise also known as “oracle”.</p><p>On dYdX Chain, oracles are used for the following:</p><ul><li>Ensuring that each account is well-collateralized after each trade,</li><li>Determining when an account should be liquidated.</li></ul> |

## Liquidity Tiers

Markets of similar risk are categorized into Liquidity Tiers based on standardized risk parameters. These tiers define the margin requirements for each market and should be determined according to the depth of the relative market's book and the market capitalization of the token.

* `Initial_margin_ppm` = the margin fraction needed to open a position.
* `Maintenance_fraction_ppm` = the fraction of the initial-margin that the maintenance-margin is.
* `Base_position_notional` = the maximum position size at which the margin requirements are not increased over the default values.
* `Impact_notional` = the impact notional amount (in quote quantums) is used to determine impact bid/ask prices and its recommended value is 500 USDC / initial margin fraction.

| id | name                                                                                                                                      | initial\_margin\_ppm | maintenance\_fraction\_ppm | base\_position\_ notional        | impact\_notional | impact\_notional (as is)   |
| -- | ----------------------------------------------------------------------------------------------------------------------------------------- | -------------------- | -------------------------- | -------------------------------- | ---------------- | -------------------------- |
| 0  | [Large-Cap](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L3255-L3260) | 20000 \[0.02]        | 600000 \[0.6]              | ‎1000000000000 \[1,000,000 USDC] | 500 USDC / IM    | 10000000000 \[10,000 USDC] |
| 1  | [Small-Cap](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L3263-L3268) | 100000 \[0.1]        | 500000 \[0.5]              | 250000000000 \[250,000 USDC]     | 500 USDC / IM    | 5000000000 \[5,000 USDC]   |
| 2  | [Long-Tail](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L3271-L3276) | 200000 \[0.2]        | 500000 \[0.5]              | 100000000000 \[100,000 USDC]     | 1,000 USDC / IM  | 2500000000 \[2,500 USDC]   |
| 3  | [Safety](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L3279-L3284)    | 1000000 \[1]         | 200000 \[0.02]             | 1000000000 \[1,000 USDC]         | 1,000 USDC / IM  | 2500000000 \[2,500 USDC]   |
| 4  | Isolated                                                                                                                                  | 50000 \[0.05]        | 600000 \[0.6]              | 0                                | 1,000 USDC / IM  | 2500000000 \[2,500 USDC]   |
| 5  | Mid-Cap                                                                                                                                   | 50000 \[0.05]        | 600000 \[0.6]              | 0                                | 500 USDC / IM    | 5000000000 \[5,000 USDC]   |
| 6  | FX                                                                                                                                        | 10000 \[0.01]        | 500000 \[0.5]              | 500000000000 \[500,000 USDC]     | 1,000 USDC / IM  | 2500000000 \[2,500 USDC]   |
| 7  | IML 5x                                                                                                                                    | 200000 \[0.2]        | 500000 \[0.5]              | 0                                | 1,000 USDC / IM  | 2500000000 \[2,500 USDC]   |

## Market Types

There are two market types on dYdX:

1. Cross Margin: Cross-margined markets share the same collateral pool and insurance fund, contributing to the overall risk properties across the entire protocol.&#x20;
2. Isolated Margin: Isolated markets have segregated pools of collateral and their own insurance fund. Each isolated market, then, has its own individual risk properties. This enables a protocol to more safely support a much greater range of market types.

The following criteria are recommended to determine compatibility with cross-margining, hence allowing dYdX community to propose [upgrading](/dydx/modules/governance/governance-adjustable-parameters/updating-live-market.md#market-margin) an isolated market to cross:

* At least two oracle sources with > $1M USD in trading volume each.
* At least two oracle sources with > $150K depth within 2% of the mid-price.
* A minimum of four total oracle sources.
* Availability of at least 30 days of historical data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dydx.community/dydx/modules/governance/governance-adjustable-parameters/markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
